### Method

# GObject ValueArray remove

deprecated: 2.32

#### Declaration

    GValueArray*
    g_value_array_remove (
      GValueArray* value_array,
      guint index_
    )

#### Description

Remove the value at position `index_` from `value_array`.

Deprecated since: 2.32

Use `GArray` and `g_array_remove_index()` instead.

#### Parameters

`index_`

  Type: `guint`

  Position of value to remove, which must be less than `value_array`->n_values.

#### Return value

Type: `GValueArray`

The `GValueArray` passed in as `value_array`.

The data is owned by the instance.